#include "chdecl.h"
void CH_getformatters_fmtopcode(current, sched, cop)
#define ARGUMENTS 152
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb1;
    case 2: goto c2;
    case 3: goto c389;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb1:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c2:
/* noop */
  
/* equal . 3.1 =(75) , 156 */
  if ( REF(3)DOT(1).value.ord_enum == 75 ) goto c156;
/* equal . 3.1 =(74) , 159 */
  if ( REF(3)DOT(1).value.ord_enum == 74 ) goto c159;
/* equal . 3.1 =(73) , 162 */
  if ( REF(3)DOT(1).value.ord_enum == 73 ) goto c162;
/* equal . 3.1 =(72) , 165 */
  if ( REF(3)DOT(1).value.ord_enum == 72 ) goto c165;
/* equal . 3.1 =(71) , 168 */
  if ( REF(3)DOT(1).value.ord_enum == 71 ) goto c168;
/* equal . 3.1 =(70) , 171 */
  if ( REF(3)DOT(1).value.ord_enum == 70 ) goto c171;
/* equal . 3.1 =(69) , 174 */
  if ( REF(3)DOT(1).value.ord_enum == 69 ) goto c174;
/* equal . 3.1 =(68) , 177 */
  if ( REF(3)DOT(1).value.ord_enum == 68 ) goto c177;
/* equal . 3.1 =(67) , 180 */
  if ( REF(3)DOT(1).value.ord_enum == 67 ) goto c180;
/* equal . 3.1 =(66) , 183 */
  if ( REF(3)DOT(1).value.ord_enum == 66 ) goto c183;
/* equal . 3.1 =(65) , 186 */
  if ( REF(3)DOT(1).value.ord_enum == 65 ) goto c186;
/* equal . 3.1 =(64) , 189 */
  if ( REF(3)DOT(1).value.ord_enum == 64 ) goto c189;
/* equal . 3.1 =(63) , 192 */
  if ( REF(3)DOT(1).value.ord_enum == 63 ) goto c192;
/* equal . 3.1 =(62) , 195 */
  if ( REF(3)DOT(1).value.ord_enum == 62 ) goto c195;
/* equal . 3.1 =(61) , 198 */
  if ( REF(3)DOT(1).value.ord_enum == 61 ) goto c198;
/* equal . 3.1 =(60) , 201 */
  if ( REF(3)DOT(1).value.ord_enum == 60 ) goto c201;
/* equal . 3.1 =(59) , 204 */
  if ( REF(3)DOT(1).value.ord_enum == 59 ) goto c204;
/* equal . 3.1 =(58) , 207 */
  if ( REF(3)DOT(1).value.ord_enum == 58 ) goto c207;
/* equal . 3.1 =(57) , 210 */
  if ( REF(3)DOT(1).value.ord_enum == 57 ) goto c210;
/* equal . 3.1 =(56) , 213 */
  if ( REF(3)DOT(1).value.ord_enum == 56 ) goto c213;
/* equal . 3.1 =(55) , 216 */
  if ( REF(3)DOT(1).value.ord_enum == 55 ) goto c216;
/* equal . 3.1 =(54) , 219 */
  if ( REF(3)DOT(1).value.ord_enum == 54 ) goto c219;
/* equal . 3.1 =(53) , 222 */
  if ( REF(3)DOT(1).value.ord_enum == 53 ) goto c222;
/* equal . 3.1 =(52) , 225 */
  if ( REF(3)DOT(1).value.ord_enum == 52 ) goto c225;
/* equal . 3.1 =(51) , 228 */
  if ( REF(3)DOT(1).value.ord_enum == 51 ) goto c228;
/* equal . 3.1 =(50) , 231 */
  if ( REF(3)DOT(1).value.ord_enum == 50 ) goto c231;
/* equal . 3.1 =(49) , 234 */
  if ( REF(3)DOT(1).value.ord_enum == 49 ) goto c234;
/* equal . 3.1 =(48) , 237 */
  if ( REF(3)DOT(1).value.ord_enum == 48 ) goto c237;
/* equal . 3.1 =(47) , 240 */
  if ( REF(3)DOT(1).value.ord_enum == 47 ) goto c240;
/* equal . 3.1 =(46) , 243 */
  if ( REF(3)DOT(1).value.ord_enum == 46 ) goto c243;
/* equal . 3.1 =(45) , 246 */
  if ( REF(3)DOT(1).value.ord_enum == 45 ) goto c246;
/* equal . 3.1 =(44) , 249 */
  if ( REF(3)DOT(1).value.ord_enum == 44 ) goto c249;
/* equal . 3.1 =(43) , 252 */
  if ( REF(3)DOT(1).value.ord_enum == 43 ) goto c252;
/* equal . 3.1 =(42) , 255 */
  if ( REF(3)DOT(1).value.ord_enum == 42 ) goto c255;
/* equal . 3.1 =(41) , 258 */
  if ( REF(3)DOT(1).value.ord_enum == 41 ) goto c258;
/* equal . 3.1 =(40) , 261 */
  if ( REF(3)DOT(1).value.ord_enum == 40 ) goto c261;
/* equal . 3.1 =(39) , 264 */
  if ( REF(3)DOT(1).value.ord_enum == 39 ) goto c264;
/* equal . 3.1 =(38) , 267 */
  if ( REF(3)DOT(1).value.ord_enum == 38 ) goto c267;
/* equal . 3.1 =(37) , 270 */
  if ( REF(3)DOT(1).value.ord_enum == 37 ) goto c270;
/* equal . 3.1 =(36) , 273 */
  if ( REF(3)DOT(1).value.ord_enum == 36 ) goto c273;
/* equal . 3.1 =(35) , 276 */
  if ( REF(3)DOT(1).value.ord_enum == 35 ) goto c276;
/* equal . 3.1 =(34) , 279 */
  if ( REF(3)DOT(1).value.ord_enum == 34 ) goto c279;
/* equal . 3.1 =(33) , 282 */
  if ( REF(3)DOT(1).value.ord_enum == 33 ) goto c282;
/* equal . 3.1 =(32) , 285 */
  if ( REF(3)DOT(1).value.ord_enum == 32 ) goto c285;
/* equal . 3.1 =(31) , 288 */
  if ( REF(3)DOT(1).value.ord_enum == 31 ) goto c288;
/* equal . 3.1 =(30) , 291 */
  if ( REF(3)DOT(1).value.ord_enum == 30 ) goto c291;
/* equal . 3.1 =(29) , 294 */
  if ( REF(3)DOT(1).value.ord_enum == 29 ) goto c294;
/* equal . 3.1 =(28) , 297 */
  if ( REF(3)DOT(1).value.ord_enum == 28 ) goto c297;
/* equal . 3.1 =(27) , 300 */
  if ( REF(3)DOT(1).value.ord_enum == 27 ) goto c300;
/* equal . 3.1 =(26) , 303 */
  if ( REF(3)DOT(1).value.ord_enum == 26 ) goto c303;
/* equal . 3.1 =(25) , 306 */
  if ( REF(3)DOT(1).value.ord_enum == 25 ) goto c306;
/* equal . 3.1 =(24) , 309 */
  if ( REF(3)DOT(1).value.ord_enum == 24 ) goto c309;
/* equal . 3.1 =(23) , 312 */
  if ( REF(3)DOT(1).value.ord_enum == 23 ) goto c312;
/* equal . 3.1 =(22) , 315 */
  if ( REF(3)DOT(1).value.ord_enum == 22 ) goto c315;
/* equal . 3.1 =(21) , 318 */
  if ( REF(3)DOT(1).value.ord_enum == 21 ) goto c318;
/* equal . 3.1 =(20) , 321 */
  if ( REF(3)DOT(1).value.ord_enum == 20 ) goto c321;
/* equal . 3.1 =(19) , 324 */
  if ( REF(3)DOT(1).value.ord_enum == 19 ) goto c324;
/* equal . 3.1 =(18) , 327 */
  if ( REF(3)DOT(1).value.ord_enum == 18 ) goto c327;
/* equal . 3.1 =(17) , 330 */
  if ( REF(3)DOT(1).value.ord_enum == 17 ) goto c330;
/* equal . 3.1 =(16) , 333 */
  if ( REF(3)DOT(1).value.ord_enum == 16 ) goto c333;
/* equal . 3.1 =(15) , 336 */
  if ( REF(3)DOT(1).value.ord_enum == 15 ) goto c336;
/* equal . 3.1 =(14) , 339 */
  if ( REF(3)DOT(1).value.ord_enum == 14 ) goto c339;
/* equal . 3.1 =(13) , 342 */
  if ( REF(3)DOT(1).value.ord_enum == 13 ) goto c342;
/* equal . 3.1 =(12) , 345 */
  if ( REF(3)DOT(1).value.ord_enum == 12 ) goto c345;
/* equal . 3.1 =(11) , 348 */
  if ( REF(3)DOT(1).value.ord_enum == 11 ) goto c348;
/* equal . 3.1 =(10) , 351 */
  if ( REF(3)DOT(1).value.ord_enum == 10 ) goto c351;
/* equal . 3.1 =(9) , 354 */
  if ( REF(3)DOT(1).value.ord_enum == 9 ) goto c354;
/* equal . 3.1 =(8) , 357 */
  if ( REF(3)DOT(1).value.ord_enum == 8 ) goto c357;
/* equal . 3.1 =(7) , 360 */
  if ( REF(3)DOT(1).value.ord_enum == 7 ) goto c360;
/* equal . 3.1 =(6) , 363 */
  if ( REF(3)DOT(1).value.ord_enum == 6 ) goto c363;
/* equal . 3.1 =(5) , 366 */
  if ( REF(3)DOT(1).value.ord_enum == 5 ) goto c366;
/* equal . 3.1 =(4) , 369 */
  if ( REF(3)DOT(1).value.ord_enum == 4 ) goto c369;
/* equal . 3.1 =(3) , 372 */
  if ( REF(3)DOT(1).value.ord_enum == 3 ) goto c372;
/* equal . 3.1 =(2) , 375 */
  if ( REF(3)DOT(1).value.ord_enum == 2 ) goto c375;
/* equal . 3.1 =(1) , 378 */
  if ( REF(3)DOT(1).value.ord_enum == 1 ) goto c378;
/* equal . 3.1 =(0) , 381 */
  if ( REF(3)DOT(1).value.ord_enum == 0 ) goto c381;
/* branch , 384 */
   goto c384;
c156:
/* chs_lit 3.2 , "wrap" */
  if( !chs_lit(DEF(3)DOT(2),"wrap") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c159:
/* chs_lit 3.2 , "while" */
  if( !chs_lit(DEF(3)DOT(2),"while") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c162:
/* chs_lit 3.2 , "unwrap" */
  if( !chs_lit(DEF(3)DOT(2),"unwrap") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c165:
/* chs_lit 3.2 , "unite" */
  if( !chs_lit(DEF(3)DOT(2),"unite") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c168:
/* chs_lit 3.2 , "unique" */
  if( !chs_lit(DEF(3)DOT(2),"unique") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c171:
/* chs_lit 3.2 , "unary_minus" */
  if( !chs_lit(DEF(3)DOT(2),"unary_minus") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c174:
/* chs_lit 3.2 , "typestate" */
  if( !chs_lit(DEF(3)DOT(2),"typestate") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c177:
/* chs_lit 3.2 , "typename" */
  if( !chs_lit(DEF(3)DOT(2),"typename") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c180:
/* chs_lit 3.2 , "type" */
  if( !chs_lit(DEF(3)DOT(2),"type") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c183:
/* chs_lit 3.2 , "the_element" */
  if( !chs_lit(DEF(3)DOT(2),"the_element") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c186:
/* chs_lit 3.2 , "subtract" */
  if( !chs_lit(DEF(3)DOT(2),"subtract") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c189:
/* chs_lit 3.2 , "string_literal" */
  if( !chs_lit(DEF(3)DOT(2),"string_literal") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c192:
/* chs_lit 3.2 , "size" */
  if( !chs_lit(DEF(3)DOT(2),"size") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c195:
/* chs_lit 3.2 , "send" */
  if( !chs_lit(DEF(3)DOT(2),"send") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c198:
/* chs_lit 3.2 , "select" */
  if( !chs_lit(DEF(3)DOT(2),"select") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c201:
/* chs_lit 3.2 , "reveal" */
  if( !chs_lit(DEF(3)DOT(2),"reveal") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c204:
/* chs_lit 3.2 , "return_exception" */
  if( !chs_lit(DEF(3)DOT(2),"return_exception") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c207:
/* chs_lit 3.2 , "return" */
  if( !chs_lit(DEF(3)DOT(2),"return") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c210:
/* chs_lit 3.2 , "remove" */
  if( !chs_lit(DEF(3)DOT(2),"remove") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c213:
/* chs_lit 3.2 , "rem" */
  if( !chs_lit(DEF(3)DOT(2),"rem") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c216:
/* chs_lit 3.2 , "receive" */
  if( !chs_lit(DEF(3)DOT(2),"receive") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c219:
/* chs_lit 3.2 , "real_literal" */
  if( !chs_lit(DEF(3)DOT(2),"real_literal") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c222:
/* chs_lit 3.2 , "program_literal" */
  if( !chs_lit(DEF(3)DOT(2),"program_literal") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c225:
/* chs_lit 3.2 , "procedure" */
  if( !chs_lit(DEF(3)DOT(2),"procedure") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c228:
/* chs_lit 3.2 , "print" */
  if( !chs_lit(DEF(3)DOT(2),"print") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c231:
/* chs_lit 3.2 , "position_of_selector" */
  if( !chs_lit(DEF(3)DOT(2),"position_of_selector") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c234:
/* chs_lit 3.2 , "position_of_element" */
  if( !chs_lit(DEF(3)DOT(2),"position_of_element") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c237:
/* chs_lit 3.2 , "or" */
  if( !chs_lit(DEF(3)DOT(2),"or") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c240:
/* chs_lit 3.2 , "not_equal" */
  if( !chs_lit(DEF(3)DOT(2),"not_equal") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c243:
/* chs_lit 3.2 , "not" */
  if( !chs_lit(DEF(3)DOT(2),"not") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c246:
/* chs_lit 3.2 , "new" */
  if( !chs_lit(DEF(3)DOT(2),"new") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c249:
/* chs_lit 3.2 , "named_literal" */
  if( !chs_lit(DEF(3)DOT(2),"named_literal") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c252:
/* chs_lit 3.2 , "multiply" */
  if( !chs_lit(DEF(3)DOT(2),"multiply") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c255:
/* chs_lit 3.2 , "move" */
  if( !chs_lit(DEF(3)DOT(2),"move") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c258:
/* chs_lit 3.2 , "mod" */
  if( !chs_lit(DEF(3)DOT(2),"mod") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c261:
/* chs_lit 3.2 , "merge_at" */
  if( !chs_lit(DEF(3)DOT(2),"merge_at") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c264:
/* chs_lit 3.2 , "merge" */
  if( !chs_lit(DEF(3)DOT(2),"merge") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c267:
/* chs_lit 3.2 , "less_equal" */
  if( !chs_lit(DEF(3)DOT(2),"less_equal") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c270:
/* chs_lit 3.2 , "less" */
  if( !chs_lit(DEF(3)DOT(2),"less") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c273:
/* chs_lit 3.2 , "integer_literal" */
  if( !chs_lit(DEF(3)DOT(2),"integer_literal") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c276:
/* chs_lit 3.2 , "inspect_table" */
  if( !chs_lit(DEF(3)DOT(2),"inspect_table") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c279:
/* chs_lit 3.2 , "inspect_polymorph" */
  if( !chs_lit(DEF(3)DOT(2),"inspect_polymorph") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c282:
/* chs_lit 3.2 , "insert_at" */
  if( !chs_lit(DEF(3)DOT(2),"insert_at") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c285:
/* chs_lit 3.2 , "insert" */
  if( !chs_lit(DEF(3)DOT(2),"insert") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c288:
/* chs_lit 3.2 , "if" */
  if( !chs_lit(DEF(3)DOT(2),"if") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c291:
/* chs_lit 3.2 , "hide" */
  if( !chs_lit(DEF(3)DOT(2),"hide") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c294:
/* chs_lit 3.2 , "greater_equal" */
  if( !chs_lit(DEF(3)DOT(2),"greater_equal") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c297:
/* chs_lit 3.2 , "greater" */
  if( !chs_lit(DEF(3)DOT(2),"greater") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c300:
/* chs_lit 3.2 , "forall" */
  if( !chs_lit(DEF(3)DOT(2),"forall") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c303:
/* chs_lit 3.2 , "for_inspect" */
  if( !chs_lit(DEF(3)DOT(2),"for_inspect") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c306:
/* chs_lit 3.2 , "for_enumerate" */
  if( !chs_lit(DEF(3)DOT(2),"for_enumerate") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c309:
/* chs_lit 3.2 , "extract" */
  if( !chs_lit(DEF(3)DOT(2),"extract") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c312:
/* chs_lit 3.2 , "expression_block" */
  if( !chs_lit(DEF(3)DOT(2),"expression_block") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c315:
/* chs_lit 3.2 , "exit" */
  if( !chs_lit(DEF(3)DOT(2),"exit") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c318:
/* chs_lit 3.2 , "exists" */
  if( !chs_lit(DEF(3)DOT(2),"exists") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c321:
/* chs_lit 3.2 , "every" */
  if( !chs_lit(DEF(3)DOT(2),"every") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c324:
/* chs_lit 3.2 , "equal" */
  if( !chs_lit(DEF(3)DOT(2),"equal") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c327:
/* chs_lit 3.2 , "empty" */
  if( !chs_lit(DEF(3)DOT(2),"empty") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c330:
/* chs_lit 3.2 , "drop" */
  if( !chs_lit(DEF(3)DOT(2),"drop") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c333:
/* chs_lit 3.2 , "divide" */
  if( !chs_lit(DEF(3)DOT(2),"divide") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c336:
/* chs_lit 3.2 , "dissolve" */
  if( !chs_lit(DEF(3)DOT(2),"dissolve") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c339:
/* chs_lit 3.2 , "discard" */
  if( !chs_lit(DEF(3)DOT(2),"discard") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c342:
/* chs_lit 3.2 , "currentprogram" */
  if( !chs_lit(DEF(3)DOT(2),"currentprogram") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c345:
/* chs_lit 3.2 , "create" */
  if( !chs_lit(DEF(3)DOT(2),"create") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c348:
/* chs_lit 3.2 , "copy" */
  if( !chs_lit(DEF(3)DOT(2),"copy") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c351:
/* chs_lit 3.2 , "convert" */
  if( !chs_lit(DEF(3)DOT(2),"convert") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c354:
/* chs_lit 3.2 , "connect" */
  if( !chs_lit(DEF(3)DOT(2),"connect") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c357:
/* chs_lit 3.2 , "concatenate" */
  if( !chs_lit(DEF(3)DOT(2),"concatenate") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c360:
/* chs_lit 3.2 , "checkdefinitions" */
  if( !chs_lit(DEF(3)DOT(2),"checkdefinitions") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c363:
/* chs_lit 3.2 , "case" */
  if( !chs_lit(DEF(3)DOT(2),"case") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c366:
/* chs_lit 3.2 , "call" */
  if( !chs_lit(DEF(3)DOT(2),"call") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c369:
/* chs_lit 3.2 , "block" */
  if( !chs_lit(DEF(3)DOT(2),"block") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c372:
/* chs_lit 3.2 , "attributename" */
  if( !chs_lit(DEF(3)DOT(2),"attributename") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c375:
/* chs_lit 3.2 , "assert" */
  if( !chs_lit(DEF(3)DOT(2),"assert") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c378:
/* chs_lit 3.2 , "and" */
  if( !chs_lit(DEF(3)DOT(2),"and") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c381:
/* chs_lit 3.2 , "add" */
  if( !chs_lit(DEF(3)DOT(2),"add") ) goto ch_depletion;
/* branch , 386 */
   goto c386;
c384:
/* chs_lit 3.2 , "UNKNOWN" */
  if( !chs_lit(DEF(3)DOT(2),"UNKNOWN") ) goto ch_depletion;
c386:
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c389:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
